OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Types | Static Public Attributes | List of all members
FunctionTraits< ReturnT(Args...)> Struct Template Reference

`#include <openvdb_ax/codegen/Types.h>`

## Classes
struct | Arg

## Public Types
using | ReturnType = ReturnT
using | SignatureType = ReturnType(Args...)

## Static Public Attributes
static const size_t | N_ARGS = sizeof...(Args)

## Member Typedef Documentation

## ◆ ReturnType

template<typename ReturnT , typename ... Args>

using ReturnType = ReturnT

## ◆ SignatureType

template<typename ReturnT , typename ... Args>

using SignatureType = ReturnType(Args...)

## Member Data Documentation

## ◆ N_ARGS

template<typename ReturnT , typename ... Args>

const size_t N_ARGS = sizeof...(Args)
| static